Package org.drinkless.tdlib

# Class TdApi.TimeZone

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TimeZone

Enclosing class:
  `TdApi`

public static class TdApi.TimeZone extends TdApi.Object
Describes a time zone.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `id`
  Unique time zone identifier.
  `String`
  `name`
  Time zone name.
  `int`
  `utcTimeOffset`
  Current UTC time offset for the time zone.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeZone()`
  Describes a time zone.
  `TimeZone(String id, String name, int utcTimeOffset)`
  Describes a time zone.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique time zone identifier.

  - ### name

    public String name
    Time zone name.

  - ### utcTimeOffset

    public int utcTimeOffset
    Current UTC time offset for the time zone.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TimeZone

    public TimeZone()
    Describes a time zone.

  - ### TimeZone

    public TimeZone(String id, String name, int utcTimeOffset)
    Describes a time zone.
    Parameters:
      `id` - Unique time zone identifier.
      `name` - Time zone name.
      `utcTimeOffset` - Current UTC time offset for the time zone.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR